For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • GETList Dubs
      • POSTDub a video or audio file
      • GETGet dubbing
      • DELDelete dubbing
        • GETRetrieve A Transcript
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIDubbingTranscripts

Retrieve A Transcript

GET
/v1/dubbing/:dubbing_id/transcripts/:language_code/format/:format_type
GET
/v1/dubbing/:dubbing_id/transcripts/:language_code/format/:format_type
$curl https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcripts/language_code/format/srt
1{
2 "transcript_format": "srt",
3 "srt": "string",
4 "webvtt": "string",
5 "json": {
6 "language": "string",
7 "utterances": [
8 {
9 "text": "",
10 "speaker_id": "unknown",
11 "start_s": 0,
12 "end_s": 0,
13 "words": [
14 {
15 "text": "",
16 "word_type": "unknown",
17 "start_s": 0,
18 "end_s": 0,
19 "characters": [
20 {
21 "text": "",
22 "start_s": 0,
23 "end_s": 0
24 }
25 ]
26 }
27 ]
28 }
29 ]
30 }
31}
Fetch the transcript for one of the languages in a dub.
Was this page helpful?
Previous

Create Forced Alignment

Next
Built with

Path parameters

dubbing_idstringRequired
ID of the dubbing project.
language_codestringRequired

ISO-693 language code to retrieve the transcript for. Use ‘source’ to fetch the transcript of the original media.

format_typeenumRequired
Format to return transcript in. For subtitles use either 'srt' or 'webvtt', and for a full transcript use 'json'. The 'json' format is not yet supported for Dubbing Studio.
Allowed values:

Headers

xi-api-keystringOptional

Response

Successful Response
transcript_formatenum
Allowed values:
srtstring or null
webvttstring or null
jsonobject or null

Errors

422
Unprocessable Entity Error